<?php
    /*
     * banco.inc - funes para acesso a banco de dados
     *             versao odbc
     *
     */

    // use sempre include_once



function trace($txt){
 echo $txt;
}

function sqlerro($sql)
{
   $Sqlerro_num=odbc_error();
   $Sqlerro_des=odbc_errormsg();

   $Sqlerro = "(".$Sqlerro_num.") = ".$Sqlerro_des;
   $Ip=$_SERVER['REMOTE_ADDR'];  // Ip
   $Script=$_SERVER['PHP_SELF']; // script executado

   $La=$_SERVER['argv'];         // lista de argumentos

   if (  count($La) > 0  )
      $Sc_arg=$La[0];          // os argumentos
   else
      $Sc_arg="";               // os argumentos


   trace($sql);
   trace('SQL ERRO: ' . $Sqlerro );

   //session_unregister("sid");
   exit(-1);

}

    function bd_conecta ($host, $banco, $login, $senha)
    {

       //$host="SERVER={$host};connect timeout=60;driver={SQL Server};Database={$banco};UID={$login};pwd={$senha};";

       $connectionInfo = array( "UID"=>$login,
                         "PWD"=>$senha,
                         "Database"=>$banco);

        /* Connect using SQL Server Authentication. */
        $con = sqlsrv_connect( $host, $connectionInfo);


        //$con = odbc_connect ($host,$login,$senha,SQL_CUR_USE_ODBC );
        if (!($con)) {
           alert('Problemas tcnicos na conexo ao Banco de Dados!  Tente mais tarde.');
           
           echo "<br><br><br><font color='red'><b>";
           echo 'Problemas tcnicos na conexo ao Banco de Dados! - Tente mais tarde.';
           echo "<br>Drive SQL Banco<br><br>";
           echo 'Programa Encerrado.</font></b>';
           exit;
        }
	    //odbc_select_db ($banco, $con);
	return $con;
    }


    function bd_executa ($con, $sql)
    {
        return  sqlsrv_query( $con , $sql );
    }
    

    function bd_consulta ($con, $sql)
    {
        // se retornar FALSE,  erro de SQL
        return  sqlsrv_query($con , $sql);
    }


    function bd_proximo ($res)
    {
       // sqlsrv_fetch_array retorna NULL se no houver mais linhas
       // retorna FALSE em caso de erro
       $reg=sqlsrv_fetch_array($res);
       
       if ( is_null($reg))
          return false;
       if (! $reg )
          return false;

       // j esta funao retorna FALSE se no houver mais registros
       return $reg;
    }


    function bd_fecha_res ($res)
    {
        sqlsrv_free_stmt( $res );
    }


    function bd_fecha ($con)
    {
        sqlsrv_close( $con );
    }

    
    function bd_erro ()
    {
        return sqlsrv_errors();
    }
    

    function bd_errno ()
    {
        return odbc_errno();
    }

    
    function bd_display_error ()
    {
        trace('Erro :'.bd_erro());
    }


    function bd_num_rows ($result)
    {
      // numero de linhas do result set SELECT
      // como este drive nao retona o numero de linhas, retornaremos
      // 0 para NENHUM linha  e 1 para mais de uma linha
      if (! $result)
        return 0;

      if (is_null($result))
         return 0;
         
      return 1;
    }


    function bd_affected_rows($result)
    {
      // numero de linhas alteradas por comando SQL
      // DELETE , INSERT , UPDATE
      return sqlsrv_rows_affected($result);
    }
    


    function rollback()
    {
     global $con;
      return sqlsrv_rollback( $con);

    }


    function begintran()
    {
     global $con;
     return sqlsrv_begin_transaction( $con );

    }


    function commit()
    {
     global $con;
     return sqlsrv_commit( $con );
    }
    



?>
