<?
  header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
  header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
  header("Cache-Control: no-cache, must-revalidate");
  header("Pragma: no-cache");
  
  include_once "rotinas.inc";
  include_once "cursor.inc";
  include_once "config.php";

  
  
  
  $cod_vend=(isset($_GET['cod_vend'])) ? ($_GET['cod_vend']) : (-1);
  $pagina  =(isset($_GET['pagina']))   ? ($_GET['pagina']) : (0);
  $desde   =(isset($_GET['desde']))    ? ($_GET['desde'] ) : (NULL);


  /* JAVA / MOBILE
     em 03.10.2008 - filtro por DESDE e clientes ATIVOS
     em 11.10.2008 - + rota,seq_vis,fatasia,canal,contato
     em 08.12.2008 - clientes ativos e inativos (dependendo de fformpaglag)
     em 07.01.2010 - retirado as aspas simples do nome e limitado o municipio a 25 caracteres
     em 10.06.2011 - ajustado para trabalhar com atuante
     em 26.05.2012 - ajustado para carregar boleta como B
     em 30.11.2012 - endereco limitado a 50 caracteres
  */
  

  
  if ( is_null($desde) )
	 $desde='';
  else {
     $desde=urldecode($desde);
     $ano  =substr($desde,6,4);
     if ($ano < 100)
       $ano=$ano+2000;
     $mes  =substr($desde,3,2);
	 $dia  =substr($desde,0,2);

     $desde=$ano.$mes.$dia;
	 $dt=flat2Unix($desde);
	 $dt=DateAdd('d',-4,$dt);
	 $desde=Unix2SQL($dt);
  };

 

  $con = bd_conecta ($xhost, $xbanco, $xlogin,$xsenha);
  $c1    = new cursor    ($con);
  

  $sql = " select conf_145 from e_config";
  $c1->select($sql);
  $res=$c1->load();
  $conf_145=$res[0];


  $sql = " select c.codigo ,s_r , replace(c.nome,'''','`') as nome ,endereco ,bairro ,left(municipio,25) as municipio ,
         motivo,es,convert(char(10),ult_compra,103) as ult_compra,
         case when t_venda=0 then 'Venda Normal'
              when t_venda=1 then 'so dinheiro'
              when t_venda=2 then 'Venda Impedida'
              else '' end as situa,
         fone,
         FPAG,
         DPAG,cprazo ,t_venda,c_f,
         fantasia,c.tabela,c.credito,c.cprazo_defa,c.csaldo,cliativo,
         coalesce(dia1,0) as dia1,coalesce(dia2,0) as dia2,coalesce(dia3,0) as dia3,
         coalesce(dia4,0) as dia4,
         coalesce(dia5,0) as dia5,coalesce(dia6,0) as dia6,coalesce(dia7,0) as dia7,
         seq_vis,canal,contato, c.t_stamp
         from emb_clie c with (nolock)
           inner join e_pessoa  on c.setor=e_pessoa.setor
           left  join e_rota    on c.rota=e_rota.rota
         where (e_pessoa.codigo={$cod_vend} or c.cod_atuante={$cod_vend} ) ";
         
   if ( $desde=='') {
     // o campo data contem a DATA da ultima alterao do CADASTRO
     // se pega todos os registros, pega apenas os ATIVOS

     if ($conf_145==2) {
  	    //$sql=$sql . " and CLIATIVO='S' ";
  	    // ativos e inativos
  	 } else {
  	    $sql=$sql . " and CLIATIVO='S' ";
     }
   } else {
     // se pega por alterao, pega os atualizados
  	 $sql=$sql . " and c.T_STAMP >= '$desde' ";
   }
   
  $sql=$sql . " order by c.codigo";

  $c1->select($sql);
  $res=$c1->load();

$pag=1;
$texto='';
$cloro=array();

echo '<PAGE>';



$item=0;
while (!$c1->eof ) {
  $item++;
  $codigo    =$res[0];
  $s_r       =$res[1];
  $nome      =$res[2];
  $nome=str_replace('  ',' ',$nome);
  $nome=trim($nome);
  $nome=substr($nome,0,60);

  $endereco  =cproper( trim($res[3]) );
  $endereco  =substr($endereco,0,50);

  $bairro    =no_acent(trim($res[4]));
  $municipio =no_acent(trim($res[5]));
  $motivo    =$res[6];
  $es        =$res[7];
  $ult_compra=$res[8];
  $situa     =trim($res[9]);
  $fone      =trim($res[10]);
  $fpag      =$res[11];
  $dpag      =$res[12];
  $cprazo    =$res[13];
  $t_venda   =$res[14];
  $c_f       =$res[15];
  $fantasia  =cproper(trim($res[16]));
  $tabela    =trim($res[17]);
  $credito    =$res[18];
  $cprazo_defa=trim($res[19]);
  $csaldo     =$res[20];
  $cliativo   =$res[21];
  
  $dia1       =$res[22];
  $dia2       =$res[23];
  $dia3       =$res[24];
  $dia4       =$res[25];
  $dia5       =$res[26];
  $dia6       =$res[27];
  $dia7       =$res[28];

  $seq_vis    =$res[29];
  $canal      =$res[30];
  $contato    =trim($res[31]);
  $t_stamp   =$res[32];
  
  if ($dia1==1)
     $rota=1;
  elseif ($dia2==1)
     $rota=2;
  elseif ($dia3==1)
     $rota=3;
  elseif ($dia4==1)
     $rota=4;
  elseif ($dia5==1)
     $rota=5;
  elseif ($dia6==1)
     $rota=6;
  elseif ($dia7==1)
     $rota=7;
  else
     $rota=1;
     
  $linha='<R>'.urlencode($codigo).','.urlencode($s_r).','.urlencode( cproper($nome )).','.
     urlencode($endereco).','.urlencode($bairro).','.urlencode($municipio).','.urlencode($motivo).','.
     urlencode($es).','.urlencode($ult_compra).','.urlencode($fone).','.urlencode($fpag).','.
     urlencode($dpag).','.urlencode($cprazo).','.urlencode($t_venda).','.urlencode($tabela).','.
     urlencode($credito).','.urlencode($cprazo_defa).','.urlencode($csaldo).','.urlencode($cliativo).','.
     urlencode($rota).','.urlencode($seq_vis).','.urlencode($fantasia).','.urlencode($canal).','.
     urlencode($contato).','.urlencode($t_stamp).
     "</R>\n";

  $texto= $texto . $linha;

  if (strlen($texto) > 20000) {
	 $pag++;
	 $cloro[]=$texto . "<R>PAGINA{$pag}</R>";
	 $texto='';
  };


  $res=$c1->load();
};

if ($item==0){
  echo '<X>';
  echo '</PAGE>';
  return;
};

if ($pag > 1)
  $cloro[]=$texto;


if ($pag==1){
  // so tem uma pagina
  echo $texto;
} else {
  // mais de uma pagina
  if ($pagina==0)
	echo $cloro[0];
  else
  	echo $cloro[$pagina-1];
};

echo '</PAGE>';
?>



