<? 
  header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
  header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
  header("Cache-Control: no-cache, must-revalidate");
  header("Pragma: no-cache");
 
  include_once "cursor.inc";
  include_once "config.php";

/* ATENO - Verso usada exclusivamente pelas verses JAVA e VB */

/* verso de 30/12/2007 - retorna o numero do pedido
   27.03.2008 corrigido bug que inverte os campos valdesc e valadic
   11.09.2008 novo campo hora_entrega
   03.11.2008 default para numero de itens=0 (antes era o 2)
*/

$FIM = (isset($_GET['FIM'])) ? ($_GET['FIM']) : (NULL);
$E   = (isset($_GET['E']))    ? ($_GET['E'] ) : ("Nada");


if ( is_null($FIM) ) {
   echo "<R>ERRO,Nao Completou FIM</R>";
   return;
};

$S   = (isset($_GET['S']))    ? ($_GET['S'] ) : (0);
$N   = (isset($_GET['N']))    ? ($_GET['N'] ) : (0);
$V   = (isset($_GET['V']))    ? ($_GET['V'] ) : (0);
$C   = (isset($_GET['C']))    ? ($_GET['C'] ) : (0);

$O   = (isset($_GET['O']))    ? ($_GET['O'] ) : ("");
$O=urldecode($O);


$FP  = (isset($_GET['FP']))    ? ($_GET['FP'] ) : ('H');
$TN  = (isset($_GET['TN']))    ? ($_GET['TN'] ) : ('1');

$VIA  = (isset($_GET['VIA']))    ? ($_GET['VIA'] ) : (1);
$PZ   = (isset($_GET['PZ']))    ? ($_GET['PZ'] ) : (0);
$CZ   = (isset($_GET['CZ']))    ? ($_GET['CZ'] ) : ('');
$ADF  = (isset($_GET['ADF']))    ? ($_GET['ADF'] ) : (0);
$DT   = (isset($_GET['DT']))    ? ($_GET['DT'] ) : ('');
$HR   = (isset($_GET['HR']))    ? ($_GET['HR'] ) : (NULL);
$HI   = (isset($_GET['HI']))    ? ($_GET['HI'] ) : (NULL);

if ( is_null( $HR ) )
  $HR='';
else {

  $horac =urldecode($HR);
  if (substr($horac,1,1)==':')
	 $horac='0'.$horac;

  $hora =substr($horac,0,2);
  $ampm =substr($horac,9,2);
  if ($ampm=='pm')
	 $hora=$hora+12;

  $hora=sprintf("%02d", $hora);
  $HR=$hora . substr($horac,2,7);
};


if ( is_null( $HI ))
  $HI='';
else {
  $horac =urldecode($HI);
  if (substr($horac,1,1)==':')
	 $horac='0'.$horac;

  $hora =substr($horac,0,2);
  $ampm =substr($horac,9,2);
  if ($ampm=='pm')
	 $hora=$hora+12;

  $hora=sprintf("%02d", $hora);
  $HI=$hora . substr($horac,2,7);
};



/* fim parametros */


if ( $C==0 ) {
   echo "<R>ERRO,Cliente Zerado</R>";
   return;
};


  $con = bd_conecta ($xhost, $xbanco, $xlogin,$xsenha);
  $c1    = new cursor    ($con) ;


  begintran();

  // pega numero sequencial do pedido
  $sql = "EXEC SP_NEW_SEQ ";
  $c1->select($sql);
  $res=$c1->load();
  $seq=$res[0];

  commit();
  begintran();


  $sql = "INSERT INTO e_palm_hd (seq,prazo,tipo,formpag,p_obs,
               tira,cod_clien,cod_vend,hora,ad_fin,data_ped,ped_cli,p_item,cprazo,hora_i,hora_entrega)
               values ($seq,$PZ,$TN,'$FP','$O',$VIA,$C,$V,'$HR',$ADF,
               dbo.fn_datapura(getdate()),$S,$N,'$CZ','$HI',getdate() ) ";

                    
  $rc=bd_executa ($con, $sql);
       if ( ! $rc ) {
		 rollback();
	     sqlerro($sql);
	   };


$item=0;
while ($item < $N) {
  $item++;
  
  $xP='P'. $item;
  $xQ='Q'. $item;
  $xPU='PU'.$item;
  $xDS='DS'.$item;
  $xVD='VD'.$item;
  $xVA='VA'.$item;


  /* ******  parametros de item *************/

  if (!isset($_GET[$xP]))
    $xP=0;
  else
    $xP=$_GET[$xP];
    
  if (!isset($_GET[$xQ]))
    $xQ=0;
  else
    $xQ=$_GET[$xQ];

  if (!isset($_GET[$xPU]))
    $xPU=0.00;
  else
    $xPU=floatval($_GET[$xPU]);

  if (!isset($_GET[$xDS]))
    $xDS=0.0;
  else
    $xDS=floatval($_GET[$xDS]);

  if (!isset($_GET[$xVD]))
    $xVD=0;
  else
    $xVD=$_GET[$xVD];

  if (!isset($_GET[$xVA]))
    $xVA=0;
  else
    $xVA=$_GET[$xVA];

  /* ******  parametros de item *************/


  $sql = "INSERT INTO e_palm_it (seq,cod_prod,qt_saida,p_vlr_unit,pdesc,
               valdesc,valadic,item)
               values ($seq,$xP,$xQ,$xPU,$xDS,$xVD,$xVA,$item) ";

    $rc=bd_executa ($con, $sql);
    if ( ! $rc ) {
       rollback();
	   sqlerro($sql);
    };

};
if ($item==0) {
   rollback();
   echo "<R>ERRO,Sem Itens</R>";
   return;
};
commit();

echo "<R>OK,$seq</R>";
?>
