<?
  header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
  header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
  header("Cache-Control: no-cache, must-revalidate");
  header("Pragma: no-cache");

  /* em 25.08.2007 acrecentado o campo grupo
     funciona somente em JAVA porque o nome est com  proper
     e tamanho do nome   char(50)

     em 09.01.2008 - pega alterao nos produtos ultimos 4 dias
     em 30.08.2008 - parametros por GET
     em 02.10.2008 - apenas produtos ativos
     em 19.10.2008 - acrescentado o campo EXCLUIR e nome=60 caracteres
     em 01.11.2008 - incluido o campo NO_VENDA e MODO_TAB
     em 24.03.2009 - incluido o campo peso_liq
     em 24.10.2009 - incluido campo data 
     em 05.07.2010 - incluido os campos meia e grid_op
     em 11.09.2012 - incluido o campo preco_p que vai dentro do preco_min
     em 15.01.2013 - prod_rec6 . agora pega todos os produtos inclusive os excluidos.

  */
     
     

  include_once "cursor.inc";
  include_once "config.php";
  include_once "rotinas.inc";



  $pagina  =(isset($_GET['pagina']))   ? ($_GET['pagina']) : (0);
  $desde   =(isset($_GET['desde']))    ? ($_GET['desde'] ) : (NULL);
  $cod_vend=(isset($_GET['cod_vend'])) ? ($_GET['cod_vend']) : (-1);


  if ( is_null($desde))
	 $desde='';
  else {
     // data no formato  SQL
     
     $desde=urldecode($desde);
    
  };
  

  
  $filtro='';

  
  $con = bd_conecta ($xhost, $xbanco, $xlogin,$xsenha);
  $c1    = new cursor    ($con) ;



  // ****************************   
  if ($cod_vend > 0 ) {
    // se o codigo do vendedor for enviado, verificar as regras de negocio
    
    $sql="select c_flag_79 from emb_mapa";
    $c1->select($sql);
    $res=$c1->load();
    $c_flag_79=$res[0];

    if ($c_flag_79==4) {
       // regra de negocio convector para pegar produtos por vendedor

       $sql="select tab_palm from emb_vend where codigo={$cod_vend}";
       $c1->select($sql);
       $res=$c1->load();
       $tab_palm=trim($res[0]);
         
       if ($tab_palm=='LP') {
          $filtro=' and (grupo between 500 and 600 or grupo between 700 and 890 )';
       } else {
          $filtro=' and (grupo between 0 and 200 or grupo between 700 and 890 ) ';
       }    
       //$filtro='';  
       //'echo $filtro;
    } 

  
  }
  // ***************************


  $sql = "select codigo,nome,a.preco_min ,
       a.qt_grfa,a.embalagem,a.venda,a.secao,a.grupo,a.excluir,a.preco_max,a.no_venda,a.modo_tab,a.peso_liq,
       convert( char(19) , data , 120) as data,meia,grid_op,preco_p
       from emb_prod a with (NOLOCK)
       where a.tipo in (0)" . $filtro ;
       
  if ( $desde=='') {
     // o campo data contem a DATA da ultima alterao do CADASTRO
     // se pega todos os registros, pega apenas os ATIVOS

  	 $sql=$sql . " order by a.data ";
  } else {
     // se pega por alterao, pega os atualizados
  	 $sql=$sql . " and data >= '$desde' order by a.data ";
  }

  

  $c1->select($sql);
  $res=$c1->load();

$pag=1;
$texto='';
$cloro=array();

echo '<PAGE>';

$item=0;
while (!$c1->eof ) {
  $item++;
  $codigo=$res[0];
  
  $nome=str_replace('  ',' ',$res[1]);
  $nome=str_replace('  ',' ',$nome);
  $nome=str_replace('  ',' ',$nome);
  $nome=str_replace('  ',' ',$nome);
  $nome=substr($nome,0,59);
  $nome=cproper( trim($nome) );
  
  $preco_min =$res[2];
  if ($preco_min==0)
     $preco_min=0;
     
  $qt_grfa   =$res[3];
  $embalagem =$res[4];
  $venda     =$res[5];
  $secao     =$res[6];
  $grupo     =$res[7];
  $excluir   =$res[8];
  $preco_max =$res[9];
  $no_venda  =$res[10];
  $modo_tab  =trim($res[11]);
  $peso_liq  =$res[12];
  $data      =$res[13];
  $meia      =$res[14];
  $grid_op   =$res[15];
  $preco_p   =$res[16];

  if ($preco_max==0)
     $preco_max=0;

  if ($peso_liq==0)
     $peso_liq=0;

  if ($preco_p > 0)
     $preco_min=min($preco_p,$preco_min);



  $linha='<R>'.urlencode($codigo).','.urlencode($nome).','.
  urlencode($preco_min).','.urlencode($qt_grfa).','.urlencode($embalagem).','.urlencode($venda).','.
  urlencode($grupo).','.urlencode($excluir).','.urlencode($preco_max).','.
  urlencode($no_venda).','.urlencode($modo_tab).','.urlencode($peso_liq) . ','.urlencode($data).','.
  urlencode($meia).','.urlencode($grid_op).
  "</R>\n";

  $texto= $texto . $linha;

  if (strlen($texto) > 20000) {
	 $pag++;
	 $cloro[]=$texto . "<R>PAGINA{$pag}</R>";
	 $texto='';
  };

  $res=$c1->load();
};

if ($item==0){
  echo '<X>';
  echo '</PAGE>';
  return;
};

if ($pag > 1)
  $cloro[]=$texto;
  

if ($pag==1){
  // so tem uma pagina
  echo $texto;
} else {
  // mais de uma pagina
  if ($pagina==0)
	echo $cloro[0];
  else
  	echo $cloro[$pagina-1];
};
echo '</PAGE>';
?>


