<?
  header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
  header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
  header("Cache-Control: no-cache, must-revalidate");
  header("Pragma: no-cache");

 
     

  include_once "cursor.inc";
  include_once "config.php";
  include_once "rotinas.inc";


  /*
     SOMENTE as VENDAS do VENDEDOR (e no do setor)
     em 30.08.2008 - parametros por GET
     em 12.10.2008 - retorna tb notas excluidas e devolvidas + motivo devoluo
     obs, as notas excluidas somente retornam o CAB , devendo excluir tb no PALMTOP
     em 24.04.2009 - limite na data de at 30 dias
     em 28.10.2009 - parametro libdata para permitir mais de 30 dias de vendas
     em 10.06.2011 - ajustado para trabalhar com atuante
     em 10.07.2011 - mudana de 30 para 60 dias
     em 08.05.2013 - correo de bug do tamneho da pagina
     em 01.06.2013 - ajuste para limitar os dias pelo prazo maximo de permanencia dos pedidos no palm
                     evitando disperdicio de tempo na atualizao.  
  */

  
  $cod_vend=(isset($_GET['cod_vend'])) ? ($_GET['cod_vend']) : (-1);
  $pagina  =(isset($_GET['pagina']))   ? ($_GET['pagina']) : (0);
  $desde   =(isset($_GET['desde']))    ? ($_GET['desde'] ) : (NULL);
  $libdata =(isset($_GET['libdata']))  ? ($_GET['libdata'] ) : ('N');




 
  $con = bd_conecta ($xhost, $xbanco, $xlogin,$xsenha);
  $c1    = new cursor    ($con) ;
  $c2    = new cursor    ($con) ;
  $c3    = new cursor    ($con) ;


  $sql = "select conf_96,emp_grup from e_config";
  $c1->select($sql);
  $res=$c1->load();
  $conf_96 =$res[0];
  $emp_grup=$res[1];


  if ($emp_grup==5) {
    $tab_cab ='GCAB';
    $tab_sai ='GSAIDA';     
  } else {
    $tab_cab ='EMB_CAB';
    $tab_sai ='EMB_SAID';
  };

  if ( is_null($desde)) {
        if ($conf_96 < 60  and $conf_96 > 0) {
            $dias=$conf_96;
        } else {
            $dias=60;
        };

     	$dt=dateadd("d",-$dias,time());
 	$desde=Unix2SQL($dt);
	 
  } else {
        // recebe data no formato SQL (iso)
     
        

     	$desde=urldecode($desde);
 	$dt=iso2Unix($desde,false);
    

	 
     	if (datediff("d",$dt,time()) > 60 and $libdata=='N') {
       		// se maior que 60 dias
       		$dt=dateadd("d",-60,time());
     	
     	};

     	$desde=Unix2SQL($dt);

        
  };
  
 

 


 
//case when data_ped='' then data_emiss else data_ped end

if ($emp_grup==35) {

$sql="
  
select top 150 seq,cod_clien,p_obs,
  case when transf=0 then 1 else 2 end as tipo,
  total_nota,total_liqu,descontos,adic_fin,
  emb_cab.ad_fin as perc_ad,
  emb_cab.cprazo,prazo,formpag,
  convert(char(10),data_emiss ,120) as data_emiss,
  cod_vend,chave,excluida,
  case when excluida='N' then ''
       when moti_exclu=0 then 'No Especificado'
       else motivo  end  as Motivo,
  convert(char(10),data_saida,120) as data_saida,
  convert(char(19),case when excluida='N' then hora_nota else datahora_exclu end,120) as Xstamp,
  coalesce(vdesc_fin,0) as vdesc_fin, coalesce(ped_cliente,0) , emb_cab.emp_cod
  from GERENCIAL.dbo.gvsaida emb_cab  with (nolock)
     --left  join emb_moti with (nolock) on emb_cab.moti_exclu=codigo
     --in-ner join emb_clie with (nolock) on cod_clien=emb_clie.codigo
     --inner join e_pessoa with (nolock) on emb_cab.cod_vend=e_pessoa.codigo
  where transf in (0,2,11)
  and cod_vend       = $cod_vend
  and case when excluida='N' then hora_nota else datahora_exclu end >= '$desde'
  AND not serie in ('T','E','H','K')
  AND ESPECIE<>'03'
  and  tipo3<>'S'  
  AND EXCLUIDA='N'

  group by seq,cod_clien,p_obs,
  case when transf=0 then 1 else 2 end ,
  total_nota,total_liqu,descontos,adic_fin,
  emb_cab.ad_fin ,
  emb_cab.cprazo,prazo,formpag,
  convert(char(10),data_emiss ,120) ,
  cod_vend,chave,excluida,
  case when excluida='N' then ''
       when moti_exclu=0 then 'No Especificado'
       else motivo  end  ,
  convert(char(10),data_saida,120) ,
  convert(char(19),case when excluida='N' then hora_nota else datahora_exclu end,120) ,
  coalesce(vdesc_fin,0) , coalesce(ped_cliente,0) , emb_cab.emp_cod
  


  ORDER BY Xstamp ";



} else { 

  $sql = "select top 200 seq,cod_clien,p_obs,
  case when transf=0 then 1 else 2 end as tipo,
  total_nota,total_liqu,descontos,adic_fin,
  emb_cab.ad_fin as perc_ad,
  emb_cab.cprazo,prazo,formpag,
  convert(char(10),data_emiss ,120) as data_emiss,
  cod_vend,chave,excluida,
  case when excluida='N' then ''
       when moti_exclu=0 then 'No Especificado'
       else emb_moti.motivo  end  as Motivo,
  convert(char(10),data_saida,120) as data_saida,
  convert(char(19),case when excluida='N' then emb_cab.t_stamp else datahora_exclu end,120) as Xstamp,
  coalesce(vdesc_fin,0) as vdesc_fin, coalesce(ped_cliente,0) , EMB_CAB.EMP_C0D 
  from $tab_cab emb_cab  with (nolock)
     left  join emb_moti with (nolock) on emb_cab.moti_exclu=codigo
     inner join emb_clie with (nolock) on cod_clien=emb_clie.codigo
     inner join e_pessoa with (nolock) on emb_cab.cod_vend=e_pessoa.codigo
  where transf in (0,2)
  and cod_vend       =$cod_vend
  and case when excluida='N' then emb_cab.t_stamp else datahora_exclu end >= '$desde'
  ORDER BY Xstamp ";


};

// ou apenas a venda do SETOR, ou a venda do ATUANTE  

  
 
  $c1->select($sql);
  $res=$c1->load();

$pag=1;
$texto='';
$cloro=array();

echo "[";

$item=0;
while (!$c1->eof ) {
  $item++;
  
  $seq=$res[0];
  $cod_clien=$res[1];
  $p_obs     =trim($res[2]);
  $tipo      =$res[3];
  $total_nota=limpa_zeros($res[4]);
  $total_liqu=limpa_zeros($res[5]);
  $descontos =$res[6];
  $adic_fin  =$res[7];
  $perc_ad   =$res[8];
  $cprazo    =trim($res[9]);
  $prazo     =$res[10];
  $formpag   =$res[11];
  $data_emiss=$res[12];
  $cod_vend  =$res[13];
  $chave     =$res[14];
  $excluida  =$res[15];
  $motivo    =trim($res[16]);
  $data_saida=$res[17];
  $t_stamp   =$res[18];
  $vdesc_fin  =limpa_zeros( $res[19]);
  $req_cliente=$res[20];
  $emp_cod    =$res[21];

  
  if ($descontos==0)
     $descontos=0;
     
  if ($perc_ad==0)
     $perc_ad=0;
     
  if ($adic_fin==0)
     $adic_fin=0;

 
   

  $linha=array("TIP"=>1,"SEQ"=>$seq,"C"=>$cod_clien,"O"=>$p_obs,"T"=>$tipo,
  "TOT"=>$total_nota,"TL"=>$total_liqu,"D"=>$descontos,
  "CP"=>$cprazo,"P"=>$prazo,"FP"=>$formpag,"DS"=>$data_saida,
  "EXC"=>$excluida,"M"=>$motivo,"DE"=>$data_emiss,"TS"=>$t_stamp,"VDF"=>$vdesc_fin,"RQ"=>$req_cliente );


  $json_str = json_encode($linha);
  
     if ($item>1)
         $texto= $texto . ',';

     $texto= $texto . $json_str  ;


  


  if ($emp_grup==35) {


  $sql=" select chave,item as it,cod_prod,
  case when embalagem='KG' then peso_liq else qt_saida end as qt_saida,
  vlr_unit,perc_des as pdesc,valadic, descontos as valdesc,preco
  from gerencial.dbo.gvsaida  emb_said with (nolock) where chave= '$chave' 
  and emb_said.emp_cod=$emp_cod 
  order by item ";

  } else {

  $sql="select chave,item as it,cod_prod,
  case when embalagem='KG' then peso_liq else qt_saida end as qt_saida,
  vlr_unit,perc_des as pdesc,valadic, descontos as valdesc,preco
  from $tab_sai emb_said with (nolock) where chave= '$chave' and it_exclu<>'S' 
  and emb_said.emp_cod=$emp_cod  
  order by item ";
  
  };
  
  
  $c2->select($sql);
  $res2=$c2->load();
  
  while (!$c2->eof ) {
     // chav2=0
     $item++;
     
     $it = $res2[1];
     $cod_prod   = $res2[2];
     $qt_saida   = limpa_zeros($res2[3]);
     $p_vlr_unit = limpa_zeros($res2[4]);
     $pdesc      = $res2[5];
     $valadic    = $res2[6];
     $valdesc    = $res2[7];
     $p_vlr_tota = limpa_zeros($res2[8]);

     if ($valadic==0)
       $valadic=0;

     if ($valdesc==0)
       $valdesc=0;

     if ($pdesc==0)
       $pdesc=0;


     /* $linha='<R>'.'2,'.urlencode($seq).','.urlencode($it).','.
     urlencode($cod_prod).','.urlencode($qt_saida).','.urlencode($p_vlr_unit).','.urlencode($pdesc).','.
     urlencode($valadic).','.urlencode($valdesc).','.urlencode($p_vlr_tota). 'x' .$chave ."</R>\n";
    */
   
     $linha=array("TIP"=>2,"SEQ"=>$seq,"IT"=>$it,"P"=>$cod_prod,"Q"=>$qt_saida,
     "PU"=>$p_vlr_unit,"PD"=>$pdesc,"VA"=>$valadic,"VD"=>$valdesc,"PT"=>$p_vlr_tota);


     $json_str = json_encode($linha);
  
     if ($item>1)
         $texto= $texto . ',';

     $texto= $texto . $json_str  ;


  


     $res2=$c2->load();
  };


 

  $res=$c1->load();
};

if ($item==0){
 $linha=array("TIP"=>'');
  $json_str = json_encode($linha);

  echo $json_str;
  echo "]";
  return;
};

echo $texto;
echo "]";

?>


