<?php
    //include_once "ms_banco.inc";
    include_once "odbc_banco.inc";
    //include_once "SQL_banco.inc";
    include_once "rotinas.inc";
    

class cursor
{

   // variveis
   var $con;
   var $res; // result set
   var $reccount;
   var $eof;
   var $recno;


   function cursor ($con)
   /* a funo com o mesmo nome da classe
    *  serve como INIT (construtor) da classe
    */
   {
     $this->con = $con;
   }
   
   function select($sql)
   {
      // seleciona registros
      $this->res = bd_consulta ($this->con, $sql);
      if (  $this->res==false  ){
            sqlerro($sql);
      };

      // pega numero de linhas
      $this->reccount=bd_num_rows ($this->res);
      
      // fim de arquivo
      $this->eof=($this->reccount==0);
      
      $this->recno=0;
   }

   function fetch()
   {
      // recupera linha
      $row=bd_proximo ($this->res);
      $this->recno++;
      if (! $row  )
         $this->eof=true;
         
      if ($this->recno==$this->reccount)
         $this->eof=true;
         
      return $row;
   }


   function load()
   {
      if ($this->recno==$this->reccount) {
        $this->eof=true;
        return false;
      };
        
      // recupera linha , mas nao coloca imediatamente em EoF
      $row=bd_proximo ($this->res);
      $this->recno++;

      return $row;
    }
    
    function skip()
    {
      // recupera linha , mas nao coloca imediatamente em EoF
      $row=bd_proximo ($this->res);
      if (! $row  ) {
         $this->eof=true;
         return false;
      };
      
      $this->recno++;
      return $row;
    }
    
    function reccount()
    {
       // numero de linhas do result SET (SELECT)
       return bd_num_rows ($this->res);
    }


    function tally()
    {
       // numero de linhas afetadas
       // INSERT,DELETE,UPDATE
       return bd_affected_rows ($this->res);
    }
    
    // fim da classe
}
?>
