<?php
    /*
     * banco.inc - funes para acesso a banco de dados
     *             versao mssql
     *
     */

    // use sempre include_once !
function trace($txt){
 echo $txt;
}

function sqlerro($sql)
{
   $Sqlerro_num=mssql_errno();
   $Sqlerro_des=mssql_error();
   $Sqlerro = "(".$Sqlerro_num.") = ".$Sqlerro_des;
   $Ip=$_SERVER['REMOTE_ADDR'];  // Ip
   $Script=$_SERVER['PHP_SELF']; // script executado

   $La=$_SERVER['argv'];         // lista de argumentos

   if (  count($La) > 0  )
      $Sc_arg=$La[0];          // os argumentos
   else
      $Sc_arg="";               // os argumentos


   trace($sql);
   trace('SQL ERRO: ' . $Sqlerro );

   //session_unregister("sid");
   exit(-1);

}

    function bd_conecta ($host, $banco, $login, $senha)
    {
        $con = mssql_connect ($host,$login,$senha);
        if (!($con)) {
           alert('Problemas tcnicos na conexo ao Banco de Dados! - Tente mais tarde.');
           
           echo "<br><br><br><font color='red'><b>";
           echo 'Problemas tcnicos na conexo ao Banco de Dados! - Tente mais tarde.';
           echo "<br>Drive ms_banco <br><br>";
           echo 'Programa Encerrado.</font></b>';
           exit;
        }
	    mssql_select_db ($banco, $con);
	    return $con;
    }

    function bd_executa ($con, $sql)
    {
        return  mssql_query ($sql, $con);
    }
    
    function bd_consulta ($con, $sql)
    {
        return $res = mssql_query ($sql, $con);
    }

    function bd_proximo ($res)
    {
        return $reg = mssql_fetch_row ($res);
    }

    function bd_fecha_res ($res)
    {
        mssql_free_result ($res);
    }

    function bd_fecha ($con)
    {
        mssql_close ($con);
    }
    
    function bd_erro ()
    {
        return mssql_error ();
    }
    
    function bd_errno ()
    {
        return mssql_errno();
    }
    
    function bd_display_error ()
    {
        trace('Erro :'.bd_erro());
    }


    function bd_num_rows ($result)
    {
      // numero de linhas do result set SELECT
      return mssql_num_rows($result);
    }

    function bd_affected_rows($result)
    {
      // numero de linhas alteradas por comando SQL
      // DELETE , INSERT , UPDATE
      return mssql_affected_rows($result);
    }
    

    function newseq ()
    {
      global $con;
      return bd_sequence_next ($con, 'oid');
    }

    function newseqtran ()
    {
      global $con;
      return bd_sequence_next ($con, 'tran');
    }


    function bd_sequence_next ($con, $sequence)
    {
        //$sql = "update seq_$sequence set val = LAST_INSERT_ID(val+1)";
        $sql = "update seq_$sequence set val = (val+1)";
        
        //trace ($sql);
        $rc=bd_executa ($con, $sql);
        if ( ! $rc ) sqlerro($sql);
        
        //$sql = "select LAST_INSERT_ID ()";
        $sql = "select val from seq_$sequence ";
        
        //trace ($sql);
        $res = bd_consulta ($con, $sql);
        $reg = bd_proximo ($res);
        return $reg[0];
    }


    function rollback()
    {
     global $con;
      return mssql_query ('ROLLBACK', $con);
    }

    function begintran()
    {
     global $con;
     return mssql_query ('BEGIN TRANSACTION', $con);
    }

    function commit()
    {
     global $con;
     return mssql_query ('COMMIT', $con);
    }

?>
