<?php
    /*
     * banco.inc - funes para acesso a banco de dados
     *             versao odbc
     *
     */

    // use sempre include_once !
function trace($txt){
 echo $txt;
}

function sqlerro($sql)
{
   $Sqlerro_num=odbc_error();
   $Sqlerro_des=odbc_errormsg();

   $Sqlerro = "(".$Sqlerro_num.") = ".$Sqlerro_des;
   $Ip=$_SERVER['REMOTE_ADDR'];  // Ip
   $Script=$_SERVER['PHP_SELF']; // script executado

   $La=$_SERVER['argv'];         // lista de argumentos

   if (  count($La) > 0  )
      $Sc_arg=$La[0];          // os argumentos
   else
      $Sc_arg="";               // os argumentos


   trace($sql);
   trace('SQL ERRO: ' . $Sqlerro );

   //session_unregister("sid");
   exit(-1);

}

    function bd_conecta ($host, $banco, $login, $senha)
    {

        $host="SERVER={$host};connect timeout=60;driver={SQL Server};Database={$banco};UID={$login};pwd={$senha};";


        $con = odbc_connect ($host,$login,$senha,SQL_CUR_USE_ODBC );
        if (!($con)) {
           alert('Problemas tcnicos na conexo ao Banco de Dados! ODBC - Tente mais tarde.');
           echo "<br><br><br><font color='red'><b>";
           echo 'Problemas tcnicos na conexo ao Banco de Dados! - Tente mais tarde.';
           echo "<br><br><br>";
           echo 'Programa Encerrado.</font></b>';
           exit;
        }
	    //odbc_select_db ($banco, $con);
	return $con;
    }


    function bd_executa ($con, $sql)
    {
        return  odbc_exec ( $con , $sql );
    }
    

    function bd_consulta ($con, $sql)
    {
        return  odbc_exec ($con , $sql);
    }


    function bd_proximo ($res)
    {
       //return $reg = odbc_fetch_row ($res);

       $retorno=odbc_fetch_into ($res,$reg);
       if (! $retorno)
          return false;

       return $reg;

    }


    function bd_fecha_res ($res)
    {
        odbc_free_result ($res);
    }


    function bd_fecha ($con)
    {
        odbc_close ($con);
    }

    
    function bd_erro ()
    {
        return odbc_error ();
    }
    

    function bd_errno ()
    {
        return odbc_errno();
    }

    
    function bd_display_error ()
    {
        trace('Erro :'.bd_erro());
    }


    function bd_num_rows ($result)
    {
      // numero de linhas do result set SELECT
      if (! $result)
        return 0;

      return useful_odbc_num_rows($result);
    }


    function bd_affected_rows($result)
    {
      // numero de linhas alteradas por comando SQL
      // DELETE , INSERT , UPDATE
      return odbc_affected_rows($result);
    }
    

    function newseq ()
    {
      global $con;
      return bd_sequence_next ($con, 'oid');
    }


    function newseqtran ()
    {
      global $con;
      return bd_sequence_next ($con, 'tran');
    }


    function bd_sequence_next ($con, $sequence)
    {
        //$sql = "update seq_$sequence set val = LAST_INSERT_ID(val+1)";
        $sql = "update seq_$sequence set val = (val+1)";
        
        //trace ($sql);
        $rc=bd_executa ($con, $sql);
        if ( ! $rc ) sqlerro($sql);
        
        //$sql = "select LAST_INSERT_ID ()";
        $sql = "select val from seq_$sequence ";
        
        //trace ($sql);
        $res = bd_consulta ($con, $sql);
        $reg = bd_proximo ($res);
        return $reg[0];
    }


    function rollback()
    {
     global $con;
      return odbc_exec ($con,'ROLLBACK');
    }


    function begintran()
    {
     global $con;
     return odbc_exec ($con,'BEGIN TRANSACTION');
    }


    function commit()
    {
     global $con;
     return odbc_exec($con , 'COMMIT');
    }
    
    function useful_odbc_num_rows($result){
       $num_rows=0;

       while($temp = odbc_fetch_into($result, $counter))

       {
          $num_rows++;
       }

       odbc_fetch_row($result, 0);   // reset cursor
   return $num_rows;
}

?>
