<?
  header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
  header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
  header("Cache-Control: no-cache, must-revalidate");
  header("Pragma: no-cache");

  
  include_once "cursor.inc";
  include_once "config.php";
  include_once "rotinas.inc";


  /* *********************************************************
     retorna APENAS as alteraes de tabela de preo ocorridas
     nos ultimos 4 dias , se "desde" nao for indicado, retorna
     a tabela toda
     
     09.01.2008 - ajuste para trazer apenas as tabelas e o estoque dos ultimos 4 dias
     09.10.2008 - retorna apenas tabela []
  ************************************************************/


  if (!isset($pagina))
	 $pagina=0;

  if (!isset($desde))
	 $desde=' ';
  else {
     $desde=urldecode($desde);
     $ano  =substr($desde,6,4);
     $mes  =substr($desde,3,2);
	 $dia  =substr($desde,0,2);
     if (strlen($desde)==8 ) {
       $ano=$ano+2000;
     }
	 $desde=$ano.$mes.$dia;

     /* codigo para ajustar data - 4 dias */
	 $dt=flat2Unix($desde);
	 $dt=DateAdd('d',-4,$dt);
	 $desde=Unix2SQL($dt);

  };

 

  $con = bd_conecta ($xhost, $xbanco, $xlogin,$xsenha);
  $c1    = new cursor    ($con) ;

  $sql="select c_flag_125 from emb_mapa with(nolock) ";
  $c1->select($sql);
  $res=$c1->load();
  $c_flag_125=$res[0];


// ateno ! a configurao est na ABA PALMTOP !
if ($c_flag_125==3) {
  // 3=padro
  
  $sql ="select codigo,valor as preco_v,
       valor2 as preco_s,valor3 as preco_b,valor4 as preco_4,valor5 as preco_5,
       exibe1,exibe2,exibe3,exibe4,exibe5,
       a.estoque,a.modo_tab,vigor,a.t_stamp
       from e_tab2 with (NOLOCK), emb_prod a with (NOLOCK), emb_gpro with (NOLOCK),
	   e_tabela with (NOLOCK)
       where e_tab2.cod_prod=codigo
       and a.excluir<>'S' and a.grupo=emb_gpro.grupo
       and a.tipo in (0,1,2,3) and a.no_venda=0
       and e_tab2.tabela=''
       and e_tab2.vigor=(select max(vigor)
                         from e_tab2 as t2 where t2.cod_prod=e_tab2.cod_prod
                         and t2.vigor <=getdate()
                         and t2.tabela=''
                         group by t2.cod_prod )

       and (
               ( a.codigo = any (select distinct cod_prod from e_tab2 where tabela='' and vigor >= '$desde' ) ) or
               ( a.t_stamp >= '$desde' )
           )
       order by codigo ";


} elseif ($c_flag_125==5) {
  //  5=escalonada qtd
  
  $sql ="select codigo,valor as preco_v,
       valor2 as preco_s,valor3 as preco_b,valor4 as preco_4,valor5 as preco_5,
       exibe1,exibe2,exibe3,exibe4,exibe5,a.estoque,a.modo_tab
       from e_tab2 with (NOLOCK), emb_prod a with (NOLOCK), emb_gpro with (NOLOCK) ,
			e_tabela with (NOLOCK)
       where e_tab2.cod_prod=codigo
       and a.excluir<>'S' and a.grupo=emb_gpro.grupo
       and a.tipo in (0,1,2,3) and a.no_venda=0
       and e_tab2.tabela=''
       and e_tab2.vigor=(select max(vigor)
                         from e_tab2 as t2 where t2.cod_prod=e_tab2.cod_prod
                         and t2.vigor <=getdate()
                         and t2.tabela=''
                         group by t2.cod_prod )
       and e_tab2.vigor >= '$desde'
       order by codigo ";


} else {
  // demais tabelas ...
  $sql ="select codigo, preco_v,
       0 as preco_s,0 as preco_b,0 as preco_4,0 as preco_5,
       exibe1,exibe2,exibe3,exibe4,exibe5,a.estoque,a.modo_tab
       from emb_prod a with (NOLOCK), emb_gpro with (NOLOCK) ,e_tabela with (NOLOCK)
       where a.excluir<>'S' and a.grupo=emb_gpro.grupo
       and   a.tipo in (0,1,2,3) and a.no_venda=0
       order by codigo ";

};


  $c1->select($sql);
  $res=$c1->load();

$pag=1;
$texto='';
$cloro=array();


$item=0;
while (!$c1->eof ) {
  $item++;
  $codigo=$res[0];
  $preco_1   =$res[1];
  $preco_2   =$res[2];
  $preco_3   =$res[3];
  $preco_4   =$res[4];
  $preco_5   =$res[5];
  $exibe_1   =$res[6];
  $exibe_2   =$res[7];
  $exibe_3   =$res[8];
  $exibe_4   =$res[9];
  $exibe_5   =$res[10];
  $estoque   =$res[11];
  $modo_tab  =trim($res[12]);

  if ($exibe_2==0)
	 $preco_2=0;

  if ($exibe_3==0)
	 $preco_3=0;

  if ($exibe_4==0)
	 $preco_4=0;

  if ($exibe_4==0)
	 $preco_5=0;

  if ($estoque==0)
	 $estoque=0;

  if ( $estoque % 1 == 0) {
    $estoque=intval($estoque);
  }

  $linha='<R>' . urlencode($codigo).','.urlencode($preco_1).','.urlencode($preco_2).','.
     urlencode($preco_3).','.urlencode($preco_4).','.urlencode($preco_5).','.
     urlencode($estoque).','.urlencode($modo_tab)."</R>\n";



  $texto= $texto . $linha;

  if (strlen($texto) > 10000) {
	 $pag++;
	 $cloro[]=$texto . "<R>PAGINA{$pag}</R>";
	 $texto='';
  };


  $res=$c1->load();
};

if ($item==0){
  echo '<X>';
  return;
};

if ($pag > 1)
  $cloro[]=$texto;

if ($pag==1){
  // so tem uma pagina
  echo $texto;
} else {
  // mais de uma pagina
  if ($pagina==0)
	echo $cloro[0];
  else
  	echo $cloro[$pagina-1];
};



?>



