<?
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Cache-Control: no-cache, must-revalidate");
header("Pragma: no-cache");

include_once "cursor.inc";
include_once "config.php";
include_once "rotinas.inc";

/* NOVA tabela de Preos
     11.01.2020 - filtro para tabela '038' quando grupo empresa=35
  
*/

$pagina = (isset($_GET['pagina'])) ? ($_GET['pagina']) : (0);
$desde = (isset($_GET['desde'])) ? ($_GET['desde']) : (NULL);
$cod_vend = (isset($_GET['cod_vend'])) ? ($_GET['cod_vend']) : (-1);

if (is_null($desde)) $desde = ' ';
else
{
    $desde = urldecode($desde);
    /* ja no formato SQL */

};

$con = bd_conecta($xhost, $xbanco, $xlogin, $xsenha);
$c1 = new cursor($con);

$sql = "select c_flag_125 from emb_mapa with (nolock) ";
$c1->select($sql);
$res = $c1->load();
$c_flag_125 = $res[0];

$sql = "select emp_grup from e_config with (nolock) ";
$c1->select($sql);
$res = $c1->load();
$emp_grup = $res[0];

// ateno ! a configurao est na ABA PALMTOP !
if ($c_flag_125 == 7)
{

    // tabela no VENDEDOR
    $sql = "select tab_palm from emb_vend with (nolock) where codigo={$cod_vend}";

    $c1->select($sql);
    $res = $c1->load();
    $tabela = $res[0];

    $sql = "select e_tab2.tabela,e_tab2.cod_prod,e_tab2.valor , convert( char(19) , tab_hora , 120) as tab_hora, e_tab2.valor2
	, e_tab2.valor3, e_tab2.valor4, e_tab2.valor5, e_tab2.valor6
      from e_tab2 with (NOLOCK), emb_prod a with (NOLOCK) ,e_tab_hd ,
                        (SELECT max(vigor) as vigor,cod_prod,tabela
                         from  e_tab2
                         WHERE vigor <= getdate()
                         and tabela ='{$tabela}'
                         group by cod_prod ,tabela ) as X
      where e_tab2.cod_prod=a.codigo
       and e_tab2.tabela=e_tab_hd.tabela
       and tab_ativa='S'
       and  e_tab2.vigor   =X.vigor
       and  e_tab2.cod_prod=X.cod_prod
       and  e_tab2.tabela  =X.tabela
       and  e_tab2.tabela  ='{$tabela}'
       and a.excluir= 'N'
       and a.tipo in (0)
       and e_tab2.tab_hora >= '{$desde}'

	  UNION ALL

      select '{$tabela}',e_tab2.cod_prod,e_tab2.valor , convert( char(19) , tab_hora , 120) as tab_hora, e_tab2.valor2
	  , e_tab2.valor3, e_tab2.valor4, e_tab2.valor5, e_tab2.valor6
      from e_tab2 with (NOLOCK), emb_prod a with (NOLOCK) ,e_tab_hd ,
                        (SELECT max(vigor) as vigor,cod_prod,tabela
                         from  e_tab2
                         WHERE vigor <= getdate()
                         and tabela ='ITA'
                         group by cod_prod ,tabela ) as X
      where e_tab2.cod_prod=a.codigo
       and e_tab2.tabela=e_tab_hd.tabela
       and tab_ativa='S'
       and  e_tab2.vigor   =X.vigor
       and  e_tab2.cod_prod=X.cod_prod
       and  e_tab2.tabela  =X.tabela
       and  e_tab2.tabela  ='ITA'
       and a.excluir= 'N'
       and a.tipo in (0)
       and e_tab2.tab_hora >= '{$desde}'



      order by e_tab2.tab_hora";

}
elseif ($c_flag_125 == 1 or $c_flag_125 == 6)
{
    // MULTITAB ou tabela no cliente
    $sql = "select e_tab2.tabela,e_tab2.codigo as cod_prod,e_tab2.valor , convert( char(19) , tab_hora , 120) as tab_hora, e_tab2.valor2
	, e_tab2.valor3, e_tab2.valor4, e_tab2.valor5, e_tab2.valor6
      from dbo.fn_tab_prod(0,999,0,9999999,getdate()) as e_tab2 , e_tab_hd

      where e_tab2.tabela=e_tab_hd.tabela
       and  e_tab_hd.tab_ativa='S'
       and  e_tab2.excluir= 'N'
       and  e_tab2.tipo in (0)
	   and e_tab2.tab_hora >= '{$desde}'";
       
	
    if ($emp_grup == 35)
    {
        $sql = $sql . " and e_tab2.tabela<>'038'";


        if (! ($cod_vend==12 or $cod_vend==77) ) 
         $sql=$sql . ' and not e_tab2.codigo in (239001,239002,239003,239004,239005,239006,239007,239008,239009,239010,239011,239012,239013,239014,239015,239016) ';
    

    };
    $sql = $sql . " order by e_tab2.tab_hora";

}
elseif ($c_flag_125 == 3)
{
    // 3=padro
    // igual ao anterior , mas deixa passar apenas a tabela []
    $sql = "select e_tab2.tabela,e_tab2.cod_prod,e_tab2.valor , convert( char(19) , tab_hora , 120) as tab_hora, e_tab2.valor2
	, e_tab2.valor3, e_tab2.valor4, e_tab2.valor5, e_tab2.valor6
      from e_tab2 with (NOLOCK), emb_prod a with (NOLOCK) ,e_tab_hd ,
                        (SELECT max(vigor) as vigor,cod_prod,tabela
                         from  e_tab2
                         WHERE vigor <= getdate()
                         group by cod_prod ,tabela ) as X
      where e_tab2.cod_prod=a.codigo
       and e_tab2.tabela=e_tab_hd.tabela
       and tab_ativa='S'
       and  e_tab2.vigor   =X.vigor
       and  e_tab2.cod_prod=X.cod_prod
       and  e_tab2.tabela  =X.tabela
       and  e_tab2.tabela=''
       and a.excluir= 'N'
       and a.tipo in (0)
       and e_tab2.tab_hora >= '{$desde}'
      order by e_tab2.tab_hora";

}
elseif ($c_flag_125 == 5)
{
    //  5=escalonada qtd
    $sql = "select e_tab2.tabela,e_tab2.cod_prod,e_tab2.valor,convert( char(19) , tab_hora , 120) as tab_hora, e_tab2.valor2
	, e_tab2.valor3, e_tab2.valor4, e_tab2.valor5, e_tab2.valor6
      from e_tab2 with (NOLOCK), emb_prod a with (NOLOCK) ,e_tab_hd ,
                        (SELECT max(vigor) as vigor,cod_prod,tabela
                         from  e_tab2
                         WHERE vigor <= getdate()
                         group by cod_prod ,tabela ) as X
      where e_tab2.cod_prod=a.codigo
       and e_tab2.tabela=e_tab_hd.tabela
       and tab_ativa='S'
       and  e_tab2.vigor   =X.vigor
       and  e_tab2.cod_prod=X.cod_prod
       and  e_tab2.tabela  =X.tabela
       and a.excluir= 'N'
       and a.tipo in (0)
       and e_tab2.tab_hora >= '{$desde}'
       and e_tab2.tabela=''
      order by e_tab2.tab_hora ";

}
else
{
    // demais tabelas ...
    $sql = "select '' as tabela,codigo, preco_v, convert( char(19) , a.data , 120) as tab_hora,
       0 as preco_s,0 as preco_b,0 as preco_4,0 as preco_5,
       exibe1,exibe2,exibe3,exibe4,exibe5,a.estoque,a.modo_tab, 0 as valor2
	   , 0 as valor3, 0 as valor4, 0 as valor5, 0 as valor6
       from emb_prod a with (NOLOCK), emb_gpro with (NOLOCK) ,e_tabela with (NOLOCK)
       where a.excluir='N' and a.grupo=emb_gpro.grupo
       and   a.tipo in (0) 
       order by a.data ";

};

$c1->select($sql);
$res = $c1->load();

$pag = 1;
$texto = '';
$cloro = array();

echo "[";

$item = 0;
while (!$c1->eof)
{
    $item++;

    $tabela = trim($res[0]);
    $cod_prod = $res[1];
    $preco = $res[2];
    $data = $res[3];
	$valor2 = $res[4];
	$valor3 = $res[5];
	$valor4 = $res[6];
	$valor5 = $res[7];
	$valor6 = $res[8];
	
	if ($preco == 0) $preco = 0;
	if ($valor2 == 0) $valor2 = 0;
    if ($valor3 == 0) $valor3 = 0;
    if ($valor4 == 0) $valor4 = 0;
    if ($valor5 == 0) $valor5 = 0;
    if ($valor6 == 0) $valor6 = 0;
    

    /*
    $linha='<R>' . urlencode($tabela).','.urlencode($cod_prod).','.urlencode($preco).','.urlencode($data)."</R>\n";
    */

    $linha = array(
        "T" => $tabela,
        "C" => $cod_prod,
        "P" => $preco,
        "D" => $data,
		"V2" => $valor2,
		"V3" => $valor3,
		"V4" => $valor4,
		"V5" => $valor5,
		"V6" => $valor6
    );

    $json_str = json_encode($linha);

    if ($item > 1) $texto = $texto . ',';

    $texto = $texto . $json_str;

    $res = $c1->load();
};

if ($item == 0)
{
    $linha = array(
        "C" => '',
        "T" => ''
    );
    $json_str = json_encode($linha);

    echo $json_str;
    echo "]";
    return;
};

echo $texto;
echo "]";
?>
