<?
  header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
  header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
  header("Cache-Control: no-cache, must-revalidate");
  header("Pragma: no-cache");

 
     

  include_once "cursor.inc";
  include_once "config.php";
  include_once "rotinas.inc";


  /*
     SOMENTE as VENDAS do VENDEDOR (e no do setor)
     em 30.08.2008 - parametros por GET
     em 12.10.2008 - retorna tb notas excluidas e devolvidas + motivo devoluo
     obs, as notas excluidas somente retornam o CAB , devendo excluir tb no PALMTOP
     em 24.04.2009 - limite na data de at 30 dias
     em 20.07.2009 - limite na data de at 10 dias
  */
  
  $cod_vend=(isset($_GET['cod_vend'])) ? ($_GET['cod_vend']) : (-1);
  $pagina  =(isset($_GET['pagina']))   ? ($_GET['pagina']) : (0);
  $desde   =(isset($_GET['desde']))    ? ($_GET['desde'] ) : (NULL);


  if ( is_null($desde)) {
     $dt=dateadd("d",-10,time());
	 $desde=Unix2SQL($dt);
	 
  } else {
     // data no formato dd/mm/aaaa
     
     $desde=urldecode($desde);
     $ano  =substr($desde,6,4);
     if ($ano < 100)
       $ano=$ano+2000;
       
     $mes  =substr($desde,3,2);
	 $dia  =substr($desde,0,2);

	 $desde=$ano.$mes.$dia;
	 $dt=flat2Unix($desde);
	 
	 if (datediff("d",$dt,time()) > 30) {
       // se maior que 30 dias
       $dt=dateadd("d",-30,time());
       
     }else {
       $dt=dateadd("d",-2,$dt);
     };
	 $desde=Unix2SQL($dt);
  };
  
  
  $con = bd_conecta ($xhost, $xbanco, $xlogin,$xsenha);
  $c1    = new cursor    ($con) ;
  $c2    = new cursor    ($con) ;


 

  $sql = "select seq,cod_clien,p_obs,
  case when transf=0 then 1 else 2 end as tipo,
  total_nota,total_liqu,descontos,adic_fin,
  emb_cab.ad_fin as perc_ad,
  emb_cab.cprazo,prazo,formpag,
  convert(char(10), case when data_ped='' then data_emiss else data_ped end,103) as data_emiss,
  cod_vend,chave,excluida,
  case when excluida='N' then ''
       when moti_exclu=0 then 'No Especificado'
       else emb_moti.motivo  end  as Motivo,
  convert(char(10),data_saida,103) as data_saida
  from emb_cab  with (nolock)
     left  join emb_moti with (nolock) on emb_cab.moti_exclu=codigo
     inner join emb_clie with (nolock) on cod_clien=emb_clie.codigo
     inner join e_pessoa with (nolock) on emb_clie.setor=e_pessoa.setor
  where transf in (0,2)
  and e_pessoa.codigo=$cod_vend
  and cod_vend       =$cod_vend
  and data_emiss >= '$desde'               
  ORDER BY emb_cab.seq ";
  

  $c1->select($sql);
  $res=$c1->load();

$pag=1;
$texto='';
$cloro=array();

echo "<PAGE>";

$item=0;
while (!$c1->eof ) {
  $item++;
  
  $seq=$res[0];
  $cod_clien=$res[1];
  $p_obs     =trim($res[2]);
  $tipo      =$res[3];
  $total_nota=limpa_zeros($res[4]);
  $total_liqu=limpa_zeros($res[5]);
  $descontos =$res[6];
  $adic_fin  =$res[7];
  $perc_ad   =$res[8];
  $cprazo    =trim($res[9]);
  $prazo     =$res[10];
  $formpag   =$res[11];
  $data_emiss=$res[12];
  $cod_vend  =$res[13];
  $chave     =$res[14];
  $excluida  =$res[15];
  $motivo    =trim($res[16]);
  $data_saida=$res[17];

  
  if ($descontos==0)
     $descontos=0;
     
  if ($perc_ad==0)
     $perc_ad=0;
     
  if ($adic_fin==0)
     $adic_fin=0;
     
  $linha='<R>'.'1,'.urlencode($seq).','.urlencode($cod_clien).','.
  urlencode($p_obs).','.urlencode($tipo).','.urlencode($total_nota).','.urlencode($total_liqu).','.
  urlencode($descontos).','.urlencode($adic_fin).','.urlencode($perc_ad).','.urlencode($cprazo).','.
  urlencode($prazo).','.urlencode($formpag).','.urlencode($data_saida).','.urlencode($excluida).','.
  urlencode($motivo).','.urlencode($data_emiss).
  "</R>\n";

  $texto= $texto . $linha;

  if (strlen($texto) > 20000) {
	 $pag++;
	 $cloro[]=$texto . "<R>PAGINA{$pag}</R>";
	 $texto='';
  };
  
  
  
  $sql="select chave,item as it,cod_prod,
  case when embalagem='KG' then peso_liq else qt_saida end as qt_saida,
  vlr_unit,perc_des as pdesc,valadic, descontos as valdesc,preco
  from emb_said with (nolock) where chave= '$chave' and it_exclu<>'S' ";
  
  $c2->select($sql);
  $res2=$c2->load();
  
  while (!$c2->eof ) {
     // chav2=0
     $it = $res2[1];
     $cod_prod   = $res2[2];
     $qt_saida   = limpa_zeros($res2[3]);
     $p_vlr_unit = limpa_zeros($res2[4]);
     $pdesc      = $res2[5];
     $valadic    = $res2[6];
     $valdesc    = $res2[7];
     $p_vlr_tota = limpa_zeros($res2[8]);

     if ($valadic==0)
       $valadic=0;

     if ($valdesc==0)
       $valdesc=0;

     if ($pdesc==0)
       $pdesc=0;


     $linha='<R>'.'2,'.urlencode($seq).','.urlencode($it).','.
     urlencode($cod_prod).','.urlencode($qt_saida).','.urlencode($p_vlr_unit).','.urlencode($pdesc).','.
     urlencode($valadic).','.urlencode($valdesc).','.urlencode($p_vlr_tota)."</R>\n";

     $texto= $texto . $linha;

     //if (strlen($texto) > 20000) {
	 //  $pag++;
	 //  $cloro[]=$texto . "<R>PAGINA{$pag}</R>";
	 //  $texto='';
     //};


     $res2=$c2->load();
  }

  $res=$c1->load();
};

if ($item==0){
  echo '<X>';
  echo "</PAGE>";
  return;
};

if ($pag > 1)
  $cloro[]=$texto;
  

if ($pag==1){
  // so tem uma pagina
  echo $texto;
} else {
  // mais de uma pagina
  if ($pagina==0)
	echo $cloro[0];
  else
  	echo $cloro[$pagina-1];
};
echo "</PAGE>";

?>


